Subject: Re: [PATCH v3] mtd/nand : workaround for Freescale FCM to support large-page Nand chip

From: Matthieu CASTET <[email-masked]>
Date: Thu, 18 Aug 2011 19:00:28 +0200

[email-masked] a écrit :
> From: Liu Shuo <[email-masked]>
> 
> Freescale FCM controller has a 2K size limitation of buffer RAM. In order
> to support the Nand flash chip whose page size is larger than 2K bytes,
> we divide a page into multi-2K pages for MTD layer driver. In that case,
> we force to set the page size to 2K bytes. We convert the page address of
> MTD layer driver to a real page address in flash chips and a column index
> in fsl_elbc driver. We can issue any column address by UA instruction of
> elbc controller.
> 
Why do you need to do that ?

When mtd send you a 4k page, why can't you write it by 2*2k pages write ?

Even better send the first 2K and then if your controller allow it send the
remaining 2K without command/address phase.

Matthieu